SSTableReversedIterator (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.columniterator

## Class SSTableReversedIterator

- java.lang.Object
- - org.apache.cassandra.db.columniterator.AbstractSSTableIterator
  - - org.apache.cassandra.db.columniterator.SSTableReversedIterator

- All Implemented Interfaces:
    java.lang.AutoCloseable, java.util.Iterator<Unfiltered>, BaseRowIterator<Unfiltered>, UnfilteredRowIterator, CloseableIterator<Unfiltered>

      public class SSTableReversedIterator
      extends AbstractSSTableIterator

  A Cell Iterator in reversed clustering order over SSTable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.db.columniterator.AbstractSSTableIterator

      `AbstractSSTableIterator.IndexState, AbstractSSTableIterator.Reader`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.db.columniterator.AbstractSSTableIterator

      `columns, helper, ifile, key, partitionLevelDeletion, reader, slices, sstable, staticRow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSTableReversedIterator(SSTableReader sstable, FileDataInput file, DecoratedKey key, RowIndexEntry indexEntry, Slices slices, ColumnFilter columns, boolean isForThrift, FileHandle ifile)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected AbstractSSTableIterator.Reader` | `createReaderInternal(RowIndexEntry indexEntry, FileDataInput file, boolean shouldCloseFile)`
    `protected boolean` | `hasMoreSlices()` Checks if there are more slice to process.
    `boolean` | `isReverseOrder()` Whether or not the rows returned by this iterator are in reversed clustering order.
    `protected int` | `nextSliceIndex()` Returns the index of the next slice to process.

    - ### Methods inherited from class org.apache.cassandra.db.columniterator.AbstractSSTableIterator

      `close, columns, hasNext, metadata, next, partitionKey, partitionLevelDeletion, remove, staticRow, stats`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.db.rows.UnfilteredRowIterator

      `isEmpty`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### SSTableReversedIterator

          public SSTableReversedIterator(SSTableReader sstable,
                                         FileDataInput file,
                                         DecoratedKey key,
                                         RowIndexEntry indexEntry,
                                         Slices slices,
                                         ColumnFilter columns,
                                         boolean isForThrift,
                                         FileHandle ifile)

  - ### Method Detail

    - #### createReaderInternal

          protected AbstractSSTableIterator.Reader createReaderInternal(RowIndexEntry indexEntry,
                                                                        FileDataInput file,
                                                                        boolean shouldCloseFile)

      Specified by:
        `createReaderInternal` in class `AbstractSSTableIterator`

    - #### isReverseOrder

          public boolean isReverseOrder()

      Description copied from interface: `BaseRowIterator`
      Whether or not the rows returned by this iterator are in reversed clustering order.

    - #### nextSliceIndex

          protected int nextSliceIndex()

      Description copied from class: `AbstractSSTableIterator`
      Returns the index of the next slice to process.
      Specified by:
        `nextSliceIndex` in class `AbstractSSTableIterator`
      Returns:
        the index of the next slice to process

    - #### hasMoreSlices

          protected boolean hasMoreSlices()

      Description copied from class: `AbstractSSTableIterator`
      Checks if there are more slice to process.
      Specified by:
        `hasMoreSlices` in class `AbstractSSTableIterator`
      Returns:
        `true` if there are more slice to process, `false` otherwise.

Copyright © 2018 The Apache Software Foundation